import os

from evote.settings.staging import *  # noqa
from evote.settings.admin import *  # noqa


ALLOWED_HOSTS = [os.environ.get('SN_ADMIN')]

# Django Site identification
SITE_ID = 6

# ADFS AUTH (WS-Fed Sign-In Protocol)
ADFS_WSFED_CONFIG = {
    'url': 'https://auth.uminho-dev.local/adfs/ls/',
    'wtrealm': 'urn:uminho:evotum-admin',
    'cert': os.path.join(PROJECT_DIR, '..', 'data', 'certs', 'um_adfs_autenticacao.pem'),  # noqa
    'claim_mapping': {'nome': 'name',
                      'upn': 'email',
                      'fotografia': 'photo',
                      'telemovel': 'primary_phone',
                      'nic': 'nic'},
    "template_fail": 'evoteadmin/signin_fail.html',
    "post_response": "wresult",
}
