from __future__ import unicode_literals

from django.conf.urls.i18n import i18n_patterns
from django.views.i18n import JavaScriptCatalog
from django.conf.urls import include, url
from django.conf import settings

from evotevotings.admin.views import AdminErrorView


urlpatterns = [
    url(
        regex=r'^i18n/',
        view=include('django.conf.urls.i18n')
    ),
    url(
        regex=r'^jsi18n/$',
        view=JavaScriptCatalog.as_view(),
        name="javascript-catalog"
    ),
    url(
        regex=r'^adfs/',
        view=include("contrib.adfsauth.urls")
    ),
]

urlpatterns += i18n_patterns(
    url(
        regex=r'^',
        view=include('evotevotings.admin.urls')
    )
)


if settings.DEBUG:
    import debug_toolbar

    from django.conf.urls.static import static
    from django.contrib.staticfiles.urls import staticfiles_urlpatterns

    urlpatterns += [
        url(
            regex=r'^__debug__/',
            view=include(debug_toolbar.urls)
        )
    ]
    # Serve static and media files from development server
    urlpatterns += staticfiles_urlpatterns()
    urlpatterns += static(settings.MEDIA_URL,
                          document_root=settings.MEDIA_ROOT)

handler400 = AdminErrorView.get_view_rendered(400)
handler403 = AdminErrorView.get_view_rendered(403)
handler404 = AdminErrorView.get_view_rendered(404)
handler500 = AdminErrorView.get_view_rendered(500)
